<?php
require_once '../core/system.php';
echo admin();
if (check(isset($_GET['id'])) && mysql_result(mysql_query("SELECT COUNT(*) FROM `support_tickets` WHERE `id` = '".intval($_GET['id'])."'"),0) == true) {
$id_ticket = mysql_fetch_assoc(mysql_query("SELECT * FROM `support_tickets` WHERE `id`  = '".intval($_GET['id'])."'"));
$_SESSION['confirm'] = '<div class="center">Вы действительно хотите закрыть этот запрос?</div>
<div class="mini-line"></div>
<div class="player menuList">
<li><a href="/close_ticket_admin?id='.$id_ticket[id].'&amp;confirm=1"><img src="/images/icon/ok.png" /> Да, закрыть</a></li>
<li><a href="/view_ticket_admin?id='.$id_ticket[id].'"><img src="/images/icon/error.png" /> Нет, отмена</a></li>
</div>';
header('Location: view_ticket_admin?id='.$id_ticket[id].'');
exit();
}else{
header("Location: /view_support_admin");
$_SESSION['err'] = 'Запрос не найден';
exit();
}
if ($user['prava'] >= '5') {
if (check(isset($_GET['confirm'])) == '1') {
mysql_query("UPDATE `support_tickets` SET `status` = '2', `closed` = '1', `footer_new` = '1', `new` = '1' WHERE `id` = '$id_ticket[id]'");
header("Location: /view_ticket_admin?id=$id_ticket[id]");
$_SESSION['message'] = 'Запрос закрыт';
exit();
}
}else{
header("Location: /");
exit();
}
?>